RZ_FIND(1)

NAME
rz-find - Advanced commandline hexadecimal editor

SYNOPSIS
rz-find [-ijzZXnrhqv] [-b size] [-f from] [-F file] [-t to] [-[m|s|e] str] [-x hex] file|dir

DESCRIPTION
rz-find is a program to find byte patterns into files

The options are:

-z  Search for zero-terminated strings

-j  Output in JSON format

-a align
    Only accept aligned hits

-s str
    Search for a specific string

-S str
    Search for a specific wide string

-e regex
    Search for a regular expression string matches

-x hex
    Search for an hexpair string

-i  Identify filetype (like file, uses rizin -qcpm)

-m  Carve for known file-types using the r_magic signatures

-M mask
    Set binary mask to be applied

-f from
    Specify the source adddress

-F file
    Read the keyword to search from the contents of the given file

-t to
    Specify the target adddress

-X  Display hexdump of search results

-Z  Display zero-terminated strings results

-n  Do not stop the search when a read error occurs

-r  Show output in rizin commands

-b size
    Define block size

-q  Quiet mode - do not show headings (filenames) above matching contents (default for searching a single file)

-h  Show help message

-v  Print version and exit

SEE ALSO

rizin(1), rz-hash(1), rz-bin(1), rz-diff(1), rz-asm(1), rz-gg(1), rz-run(1), rz-ax(1),

AUTHORS

pancake <pancake@nopcode.org>